package org.dromara.payment.sys.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@EqualsAndHashCode
public class LgEarlyWarnListDtlVO implements Serializable {
  private static final long serialVersionUID = 1L;

  private Long id;

  private List<Long> taxSourcesIdList;

  private String taxSourcesIdListDisplay;

  private Integer riskType;

  private String riskTypeDisplay;

  private Integer triggerRule;

  private String triggerRuleDisplay;

  private BigDecimal singleAmount;

  private BigDecimal totalAmountBatch;

  private BigDecimal singlePaymentAmountStart;

  private BigDecimal singlePaymentAmountEnd;

  private BigDecimal proportionTotal;

  private BigDecimal dispersion;

  private BigDecimal singleYearAmount;

  private BigDecimal waveAmountStart;

  private BigDecimal waveAmountEnd;

  private BigDecimal waveAmount;

  private Integer singleContinuousMonth;

  private Integer issuingAge;

  private Integer handleFrequency;

  private String handleFrequencyDisplay;

  private Integer handleWay;

  private String handleWayDisplay;

  private String riskReasons;

  private Integer isDelete;

  private Long createUserId;

  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date createTime;

  private Long updateUserId;

  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date updateTime;

  private String remark;

  public void setId(Long id) {
    this.id = id;
  }

  public void setTaxSourcesIdList(List<Long> taxSourcesIdList) {
    this.taxSourcesIdList = taxSourcesIdList;
  }

  public void setTaxSourcesIdListDisplay(String taxSourcesIdListDisplay) {
    this.taxSourcesIdListDisplay = taxSourcesIdListDisplay;
  }

  public void setRiskType(Integer riskType) {
    this.riskType = riskType;
  }

  public void setRiskTypeDisplay(String riskTypeDisplay) {
    this.riskTypeDisplay = riskTypeDisplay;
  }

  public void setTriggerRule(Integer triggerRule) {
    this.triggerRule = triggerRule;
  }

  public void setTriggerRuleDisplay(String triggerRuleDisplay) {
    this.triggerRuleDisplay = triggerRuleDisplay;
  }

  public void setSingleAmount(BigDecimal singleAmount) {
    this.singleAmount = singleAmount;
  }

  public void setTotalAmountBatch(BigDecimal totalAmountBatch) {
    this.totalAmountBatch = totalAmountBatch;
  }

  public void setSinglePaymentAmountStart(BigDecimal singlePaymentAmountStart) {
    this.singlePaymentAmountStart = singlePaymentAmountStart;
  }

  public void setSinglePaymentAmountEnd(BigDecimal singlePaymentAmountEnd) {
    this.singlePaymentAmountEnd = singlePaymentAmountEnd;
  }

  public void setProportionTotal(BigDecimal proportionTotal) {
    this.proportionTotal = proportionTotal;
  }

  public void setDispersion(BigDecimal dispersion) {
    this.dispersion = dispersion;
  }

  public void setSingleYearAmount(BigDecimal singleYearAmount) {
    this.singleYearAmount = singleYearAmount;
  }

  public void setWaveAmountStart(BigDecimal waveAmountStart) {
    this.waveAmountStart = waveAmountStart;
  }

  public void setWaveAmountEnd(BigDecimal waveAmountEnd) {
    this.waveAmountEnd = waveAmountEnd;
  }

  public void setWaveAmount(BigDecimal waveAmount) {
    this.waveAmount = waveAmount;
  }

  public void setSingleContinuousMonth(Integer singleContinuousMonth) {
    this.singleContinuousMonth = singleContinuousMonth;
  }

  public void setIssuingAge(Integer issuingAge) {
    this.issuingAge = issuingAge;
  }

  public void setHandleFrequency(Integer handleFrequency) {
    this.handleFrequency = handleFrequency;
  }

  public void setHandleFrequencyDisplay(String handleFrequencyDisplay) {
    this.handleFrequencyDisplay = handleFrequencyDisplay;
  }

  public void setHandleWay(Integer handleWay) {
    this.handleWay = handleWay;
  }

  public void setHandleWayDisplay(String handleWayDisplay) {
    this.handleWayDisplay = handleWayDisplay;
  }

  public void setRiskReasons(String riskReasons) {
    this.riskReasons = riskReasons;
  }

  public void setIsDelete(Integer isDelete) {
    this.isDelete = isDelete;
  }

  public void setCreateUserId(Long createUserId) {
    this.createUserId = createUserId;
  }

  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public void setUpdateUserId(Long updateUserId) {
    this.updateUserId = updateUserId;
  }

  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  protected boolean canEqual(Object other) {
    return other instanceof LgEarlyWarnListDtlVO;
  }



  public String toString() {
    return "LgEarlyWarnListDtlVO(id=" + getId() + ", taxSourcesIdList=" + getTaxSourcesIdList() + ", taxSourcesIdListDisplay=" + getTaxSourcesIdListDisplay() + ", riskType=" + getRiskType() + ", riskTypeDisplay=" + getRiskTypeDisplay() + ", triggerRule=" + getTriggerRule() + ", triggerRuleDisplay=" + getTriggerRuleDisplay() + ", singleAmount=" + getSingleAmount() + ", totalAmountBatch=" + getTotalAmountBatch() + ", singlePaymentAmountStart=" + getSinglePaymentAmountStart() + ", singlePaymentAmountEnd=" + getSinglePaymentAmountEnd() + ", proportionTotal=" + getProportionTotal() + ", dispersion=" + getDispersion() + ", singleYearAmount=" + getSingleYearAmount() + ", waveAmountStart=" + getWaveAmountStart() + ", waveAmountEnd=" + getWaveAmountEnd() + ", waveAmount=" + getWaveAmount() + ", singleContinuousMonth=" + getSingleContinuousMonth() + ", issuingAge=" + getIssuingAge() + ", handleFrequency=" + getHandleFrequency() + ", handleFrequencyDisplay=" + getHandleFrequencyDisplay() + ", handleWay=" + getHandleWay() + ", handleWayDisplay=" + getHandleWayDisplay() + ", riskReasons=" + getRiskReasons() + ", isDelete=" + getIsDelete() + ", createUserId=" + getCreateUserId() + ", createTime=" + getCreateTime() + ", updateUserId=" + getUpdateUserId() + ", updateTime=" + getUpdateTime() + ", remark=" + getRemark() + ")";
  }

  public Long getId() {
    return this.id;
  }

  public List<Long> getTaxSourcesIdList() {
    return this.taxSourcesIdList;
  }

  public String getTaxSourcesIdListDisplay() {
    return this.taxSourcesIdListDisplay;
  }

  public Integer getRiskType() {
    return this.riskType;
  }

  public String getRiskTypeDisplay() {
    return this.riskTypeDisplay;
  }

  public Integer getTriggerRule() {
    return this.triggerRule;
  }

  public String getTriggerRuleDisplay() {
    return this.triggerRuleDisplay;
  }

  public BigDecimal getSingleAmount() {
    return this.singleAmount;
  }

  public BigDecimal getTotalAmountBatch() {
    return this.totalAmountBatch;
  }

  public BigDecimal getSinglePaymentAmountStart() {
    return this.singlePaymentAmountStart;
  }

  public BigDecimal getSinglePaymentAmountEnd() {
    return this.singlePaymentAmountEnd;
  }

  public BigDecimal getProportionTotal() {
    return this.proportionTotal;
  }

  public BigDecimal getDispersion() {
    return this.dispersion;
  }

  public BigDecimal getSingleYearAmount() {
    return this.singleYearAmount;
  }

  public BigDecimal getWaveAmountStart() {
    return this.waveAmountStart;
  }

  public BigDecimal getWaveAmountEnd() {
    return this.waveAmountEnd;
  }

  public BigDecimal getWaveAmount() {
    return this.waveAmount;
  }

  public Integer getSingleContinuousMonth() {
    return this.singleContinuousMonth;
  }

  public Integer getIssuingAge() {
    return this.issuingAge;
  }

  public Integer getHandleFrequency() {
    return this.handleFrequency;
  }

  public String getHandleFrequencyDisplay() {
    return this.handleFrequencyDisplay;
  }

  public Integer getHandleWay() {
    return this.handleWay;
  }

  public String getHandleWayDisplay() {
    return this.handleWayDisplay;
  }

  public String getRiskReasons() {
    return this.riskReasons;
  }

  public Integer getIsDelete() {
    return this.isDelete;
  }

  public Long getCreateUserId() {
    return this.createUserId;
  }

  public Date getCreateTime() {
    return this.createTime;
  }

  public Long getUpdateUserId() {
    return this.updateUserId;
  }

  public Date getUpdateTime() {
    return this.updateTime;
  }

  public String getRemark() {
    return this.remark;
  }
}
